[SCM] live-build branch, debian-next, updated. debian/3.0_a25-1-27-gebc7a72

Daniel Baumann daniel at debian.org
Wed Jul 20 16:38:29 UTC 2011


The following commit has been merged in the debian-next branch:
commit ebc7a72501339a76f4ab66d37d4aefc0d0ee4a67
Author: Cody A.W. Somerville <cody.somerville at canonical.com>
Date:   Wed Jul 20 18:39:09 2011 +0200

    Setting partition flags in source_usb after creating the filesystem in order to avoid bug in parted that makes them forget the flags.

diff --git a/scripts/build/lb_source_usb b/scripts/build/lb_source_usb
index 0af9e10..166e86a 100755
--- a/scripts/build/lb_source_usb
+++ b/scripts/build/lb_source_usb
@@ -93,7 +93,6 @@ Echo_warning "!!! The following error/warning messages can be ignored !!!"
 Losetup $FREELO source.img 0
 Chroot chroot "parted -s ${FREELO} mklabel msdos" || true
 Chroot chroot "parted -s ${FREELO} mkpart primary ${PARTITION_TYPE} 0.0 100%" || true
-Chroot chroot "parted -s ${FREELO} set 1 lba off" || true
 sleep 1
 ${LB_LOSETUP} -d ${FREELO}
 
@@ -127,6 +126,12 @@ sleep 1
 ${LB_LOSETUP} -d ${FREELO}
 Echo_warning "!!! The above error/warning messages can be ignored !!!"
 
+FREELO="$(${LB_LOSETUP} -f)"
+Losetup "$FREELO" source.img 0
+Chroot chroot "parted -s ${FREELO} set 1 lba off" || true
+sleep 1
+${LB_LOSETUP} -d ${FREELO}
+
 if [ -n "${MAKEDEV}" ]
 then
 	rm -rf chroot/dev

-- 
live-build



More information about the debian-live-changes mailing list